{"openapi":"3.0.0","info":{"title":"1CP ZIG v1.0","description":"API calls for interacting with Taxi x Zig. Not fully inclusive of all available taxi calls. Most endpoints have an internalized querying mechanism powered by FeathersJS.\n\nIt would do you some good to learn this:\nhttps://docs.feathersjs.com/api/databases/querying.html\n\nMaster overriding keys for testing\nUAT: 1931f1958e5a8b88d5d770944062f4562ed4765c6732a05f2d5d3dd1247a888b\n\nPut this into Authorization\n","version":"2.0.0"},"servers":[{"url":"https://webservice{zigEnvironment}.zig.live/api/{zigApiVersionNo}","description":"Original Zig Webservice","variables":{"zigApiVersionNo":{"default":"v1","enum":["v1"]},"zigEnvironment":{"default":"-uat","description":"testing","enum":["-sit","-uat"]}}},{"url":"https://api{zigEnvironment}.zig.live/{zigApiVersionNo}","description":"Zig","variables":{"zigApiVersionNo":{"default":"v2","enum":["v1","v2"]},"zigEnvironment":{"default":"-sit","description":"testing","enum":["-sit","-uat"]}}}],"security":[{"bearerAuth":[]}],"paths":{"/config":{"get":{"summary":"Get current configuration of the servers","tags":["Zig V1"],"parameters":[{"in":"header","name":"appID","type":"string","example":"183a8a9d-7fe4-45b0-9fc4-49893242b76a"}],"responses":{"200":{"description":"Get confiuration details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Config"}}}}}}},"/healthcheck/healthcheck":{"get":{"summary":"Run health check of other services","tags":["Zig V1"],"parameters":[{"in":"header","name":"appID","type":"string","example":"183a8a9d-7fe4-45b0-9fc4-49893242b76a"}],"responses":{"200":{"description":"Get confiuration details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicesHealthCheck"}}}}}}},"/users":{"post":{"summary":"Create Zig user account","tags":["Zig V1"],"parameters":[{"in":"body","name":"User Object","schema":{"$ref":"#/components/schemas/UserCreation"}}],"responses":{"200":{"description":"User creation success response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/users/{userID}":{"get":{"tags":["Zig V1"],"summary":"Get Zig User","parameters":[{"name":"userID","in":"path","schema":{"type":"string"},"required":true,"example":"60e2d8d4c7ff226244f90835"}],"responses":{"200":{"description":"Found user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/favourites":{"get":{"summary":"Get Zig Favourites of a user","tags":["Zig V1"],"parameters":[{"name":"userID","in":"query","schema":{"type":"string"},"required":true},{"$ref":"#/components/parameters/limitParam"}],"responses":{"200":{"description":"A list of favourites of a user","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Favourite"}}}}}}},"post":{"summary":"Add Zig Favourites entry","tags":["Zig V1"],"parameters":[{"in":"body","name":"Items to search","schema":{"$ref":"#/components/schemas/FavouriteCreation"}}],"responses":{"200":{"description":"Favourite object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Favourite"}}}}}},"patch":{"summary":"Update Zig Favourites entry","tags":["Zig V1"],"parameters":[{"in":"query","name":"userID","description":"Zig User ID to update","schema":{"type":"string"},"example":"60371007f137547c0b21e340","required":true},{"in":"body","name":"Properties to update","schema":{"type":"object","properties":{"long":{"type":"number","example":103.8468},"lat":{"type":"number","example":1.2885},"address":{"type":"string","example":"Clark Quay"},"type":{"type":"string","example":"Home"},"icon":{"type":"string","example":"home"}}}}],"responses":{"200":{"description":"Modified Favourite object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Favourite"}}}}}},"delete":{"summary":"Deletes Zig Favourites entry","tags":["Zig V1"],"parameters":[{"name":"favouriteID","in":"path","schema":{"type":"string"},"required":true},{"$ref":"#/components/parameters/limitParam"}],"responses":{"200":{"description":"Deleted Favourite object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Favourite"}}}},"404":{"description":"Favourite object not found","content":{"application/json":{"schema":{"$ref":"#/components/responses/NotFound"}}}}}}},"/marketplaces":{"get":{"tags":["Zig V1"],"summary":"Get all marketplace deals","parameters":[{"name":"source","description":"Source of deals","schema":{"type":"string"},"example":"eunoia, chope, klook"},{"$ref":"#/components/parameters/skipParam"},{"$ref":"#/components/parameters/limitParam"}],"responses":{"200":{"description":"Returns all marketplace deals","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marketplace"}}}}}}}},"/search":{"post":{"tags":["Zig V1"],"summary":"Search marketplace w/ Algolia","description":"For large records, use this endpoint","parameters":[{"in":"body","name":"Items to search","schema":{"$ref":"#/components/schemas/MarketplaceSearch"}}],"responses":{"200":{"description":"Returns all marketplace deals","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Marketplace"}}}}}}}},"/eunoia":{"get":{"tags":["Zig V1"],"summary":"Wrapper for Eunoia service. Most GET/Fetch commands runs from this. For more details, refer to https://platform.eunoia.asia/docs/internal.jsp","description":"This endnpoint for get data eunoia reservations per user. Response not ready yet eunoia side","parameters":[{"name":"Authorization","in":"header","schema":{"type":"string"},"example":"{{jwt}}"},{"name":"endpoint","in":"query","schema":{"type":"string"},"description":"endpoint from eunoia and parameter auth token user registered at eunoia","examples":{"Getting Stores":{"value":"outlets/comfortdelgro"},"Register a Customer":{"value":"customer/register/hq$comfortdelgro"},"Update a customer":{"value":"customer/update/hq$comfortdelgro"},"Getting Reservations":{"value":"reservations/hq$comfortdelgro?authToken=gtwrQzuPsbIXpsnVwxFsgmUsllYXPFVt"}}},{"$ref":"#/components/parameters/skipParam"},{"$ref":"#/components/parameters/limitParam"}],"responses":{"200":{"description":"OK","headers":{"Date":{"schema":{"type":"string","example":"Mon, 08 Mar 2021 02:35:06 GMT"}},"Content-Type":{"schema":{"type":"string","example":"application/json; charset=utf-8"}},"Content-Length":{"schema":{"type":"integer","example":"83"}},"Connection":{"schema":{"type":"string","example":"keep-alive"}},"X-Powered-By":{"schema":{"type":"string","example":"Express"}},"access-control-allow-origin":{"schema":{"type":"string","example":"*"}},"userID":{"schema":{"type":"string","example":"6020b37ca99ffc25409378ba"}},"x-dns-prefetch-control":{"schema":{"type":"string","example":"off"}},"x-frame-options":{"schema":{"type":"string","example":"DENY"}},"strict-transport-security":{"schema":{"type":"string","example":"max-age=15552000; includeSubDomains"}},"x-download-options":{"schema":{"type":"string","example":"noopen"}},"x-content-type-options":{"schema":{"type":"string","example":"nosniff"}},"x-xss-protection":{"schema":{"type":"string","example":"1; mode=block"}},"allow":{"schema":{"type":"string","example":"GET,POST"}},"vary":{"schema":{"type":"string","example":"Accept, Accept-Encoding"}},"etag":{"schema":{"type":"string","example":"W/\"53-COl4nqhQlPBkD1eLNJ/QMnd13vg\""}}},"content":{"application/json":{"schema":{"type":"object"},"example":{"success":true,"reservations":[],"pager":{"count":0,"pageSize":20,"pageNumber":0}}}}}}}},"/eunoiapayment":{"post":{"tags":["Zig V1"],"summary":"Making payment to Eunoia","description":"App must call this endpoint to make payment\n\nThen formulate the url from the response:\n\nPlease note that TermUrl=https://taxi.uat.zig.live:5000/eunoiapayment3ds?trackingId=nuRlrbrCyPys\n\nThe trackingId is from the response\n\nhttps://webservice.uat.zig.live/adyen3ds.html?MD=ODA5ejlUK2xtTVZqL0Y1K0tiUE5BZz09ISdx_7st14OHZukZdyTRC2-14J9NiwESoohJU9z-zlrRTISSlx6gpVpMWTDT3qTs5dc4wsqQr3jfVojLYkJxsR94pG20LgfU3QSrhBsh0Wynz9eI5pnBKFKDC-ieyZukZvJE9EeVPBsLQVQ3fY2VCoILLLRYx0crPQ5uBVMkzRmaGGpIt9xt6Za36bW5F3SyDjK0XzUHhYQUYOLOeL849Zx8U1TH9Eyc5MCGwTn9wHxjS2lR_EBLFk7-C_WgaJg2QqKnm5ETK4WX1OSEmcHxkUNXGe9h51V2n4YJvKJm9f7GbUc6yopZWdeYK3jlN3UVoe-GJ_6XrY8EvSDBSL6JGhz1HHekDvpFzykoUSPxQVTX&PaReq=eNpVUdtOg0AQ/ZXaD2CXhQIl002wGK1Jkdj64oshy4TSCLQLSPHr3YVidZ/OOTM7lzOwP0jEcIeilchhi3WdZDjL09Xc9zzmmLbjUctlC2Y/zznEwSueOXyhrPOq5KZBDQZkouq7FIekbDgk4ny/ibjJLHvhALlSKFBuQr7HuomLIhDnNpcogYwylEmB/C34CNZ3/rvK0XlABhVE1ZaN7LlLVcOJQCs/~aFpTrVPSNd1RpL2WBqiKggQHQNyGyluNapVrUue8pcw66PjA42OWbf9Fn2039BdFui3AqIzIE0a5Iwyk1qUzUzqm0vfUt0HHZJCD8F3j~HMMSxT7TgKcNJ9gpE4OvBXAOWzxFJMi0wM8HKqSlQZSv3FQG5Dr5~0q6JRRtls9NX1llQhV/s7BHSVXPliUWoNZTQBor~S6~nI9cQK/Tv9Dw4Xqsg=&TermUrl=https://taxi.uat.zig.live:5000/eunoiapayment3ds?trackingId=nuRlrbrCyPys&url=https://test.adyen.com/hpp/3d/validate.shtml\"\n","requestBody":{"content":{"application/json":{"schema":{"type":"object"},"examples":{"Normal Payment":{"value":{"userID":"60371007f137547c0b21e340","amountToPay":6.31,"cartID":"aLH9seCk1KjbFp0SjFV1","termURL":"https://taxi-uat.zig.live/eunoiapayment3ds"}},"Pay With Google":{"value":{"userID":"60371007f137547c0b21e340","amountToPay":6.31,"cartID":"aLH9seCk1KjbFp0SjFV1","termURL":"https://taxi-uat.zig.live/eunoiapayment3ds","payment":{"type":"paywithgoogle","googlePayToken":{"signature":"MEYCIQDVhBTvwFl/5IPFw5i9PfY9hkUHrcfwYfhgL9tnKu/7/QIhAONqeX6YJxNXAE/tI8FonP3Ppq/3Sc0kmKXJYayDwBdy","protocolVersion":"ECv1","signedMessage":{"encryptedMessage":"EAPs5h4ITCFm9nwkpB0nkaPqzZJ/FygBZ8VtBmQ6R8iAiKmKEzPdRnx1KAOYPiv6S3GojPqXifPr7Ge5xXcir+eEpZeml4NRLhOHcF51Wyy9VuLe/Yt0XHFPAtmLUSyX+Q1UxuQcwb3aIQAm/L9IVPffWXFgEbqAOXrz5sHty97rSdskgchT7et2R9CZQyi7N7vkVWXh7GT0B5SQ2ZABFZ28VUfVqegyj8lLtY6VX/i69ItZ2vhh0viyOdHo+IAoetXfC5GzcDOthrdxRLs+vdk547XjiRPuwzmJuXo5drJx2mER2iykYu0rq83eWp+qtLAlEoYFI54Wl+8etFLx/NyTZeRzu2VKSmLJQNqHJojHNYgbRUXXxd5UPKAO979GHKf0zDBfkIGMG40UH18Svmi+axOrvH1lpD/G/WVTRCf+M3OstD4dOR74fGPSK3O0R5xHmbbnGSdWX7WcljWU1c3ZwXOY78Iy1aV5DwoRQoiBtdbr2Npt/13YQMy3be1nD2lWM2b9i7RPUNejKTWYL4njzYQrliDyTWyw5BomXGGFzi81fmAGag==","ephemeralPublicKey":"BOWGBBBAkSkAQXAyK9Cfhb91S730cCY6CcF1XlDvozbxo1vv0MPuaP//aQRFZGbxEKP+W4+HTQWEm8bIVFXGMTI=","tag":"4cEpOLiGG/fjouANCHvVAPHFUBBS8l+UgzLvBrTkYXI="}}}}},"Pay with Apple Pay":{"value":{"userID":"60371007f137547c0b21e340","amountToPay":6.31,"cartID":"aLH9seCk1KjbFp0SjFV1","termURL":"https://taxi-uat.zig.live/eunoiapayment3ds","payment":{"type":"applepay","applePayToken":{"version":"EC_v1","data":"TvwFl/5IPFw5i9PfY9hkUHrcfwYfhg","signature":"MEYCIQDVhBTvwFl/5IPFw5i9PfY9hkUHrcfwYfhgL9tnKu/7/QIhAONqeX6YJxNXAE/tI8FonP3Ppq/3Sc0kmKXJYayDwBdy","header":{"publicKeyHash":"EAPs5h4ITCFm9nwkpB0nkaPqzZJ/FygBZ8VtBmQ6R8iAiKmKEzPdRnx1KAOYPiv6S3GojPqXifPr7Ge5xXcir+eEpZeml4NRLhOHcF51Wyy9VuLe/Yt0XHFPAtmLUSyX+Q1UxuQcwb3aIQAm/L9IVPffWXFgEbqAOXrz5sHty97rSdskgchT7et2R9CZQyi7N7vkVWXh7GT0B5SQ2ZABFZ28VUfVqegyj8lLtY6VX/i69ItZ2vhh0viyOdHo+IAoetXfC5GzcDOthrdxRLs+vdk547XjiRPuwzmJuXo5drJx2mER2iykYu0rq83eWp+qtLAlEoYFI54Wl+8etFLx/NyTZeRzu2VKSmLJQNqHJojHNYgbRUXXxd5UPKAO979GHKf0zDBfkIGMG40UH18Svmi+axOrvH1lpD/G/WVTRCf+M3OstD4dOR74fGPSK3O0R5xHmbbnGSdWX7WcljWU1c3ZwXOY78Iy1aV5DwoRQoiBtdbr2Npt/13YQMy3be1nD2lWM2b9i7RPUNejKTWYL4njzYQrliDyTWyw5BomXGGFzi81fmAGag==","ephemeralPublicKey":"BOWGBBBAkSkAQXAyK9Cfhb91S730cCY6CcF1XlDvozbxo1vv0MPuaP//aQRFZGbxEKP+W4+HTQWEm8bIVFXGMTI=","transactionId":"4cEpOLiGG/fjouANCHvVAPHFUBBS8l+UgzLvBrTkYXI="}}}}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"payment":{"type":"object"},"adyenResponse":{"type":"object"}}},"examples":{"Normal Payment Success":{"value":{"success":true,"payment":{"number":null,"trackingId":"0f9145d9-39e7-44a8-9eb0-749f98eaba23","transactionId":"853624337929833H","amount":3,"type":"CREDIT_CARD","status":"PAID","paidTime":1624337929483,"redeemPoints":0,"remarks":null,"creditCardToken":null,"cardType":null,"accountKey":"cdg-marketplace-test","ipgType":"ADYEN","refusalReason":null},"adyenResponse":{"additionalData":[null],"fraudResult":[null],"pspReference":"853624337929833H","resultCode":"Authorised","amount":[null],"merchantReference":"0f9145d9-39e7-44a8-9eb0-749f98eaba23"}}},"Google Pay Payment Success":{"success":true,"payment":{"number":null,"trackingId":"0f9145d9-39e7-44a8-9eb0-749f98eaba23","transactionId":"853624337929833H","amount":3,"type":"CREDIT_CARD","status":"PAID","paidTime":1624337929483,"redeemPoints":0,"remarks":null,"creditCardToken":null,"cardType":null,"accountKey":"cdg-marketplace-test","ipgType":"ADYEN","refusalReason":null},"adyenResponse":{"additionalData":[null],"fraudResult":[null],"pspReference":"853624337929833H","resultCode":"Authorised","amount":[null],"merchantReference":"0f9145d9-39e7-44a8-9eb0-749f98eaba23"}},"Apple Pay Payment Success":{"success":true,"payment":{"number":null,"trackingId":"0f9145d9-39e7-44a8-9eb0-749f98eaba23","transactionId":"853624337929833H","amount":3,"type":"CREDIT_CARD","status":"PAID","paidTime":1624337929483,"redeemPoints":0,"remarks":null,"creditCardToken":null,"cardType":null,"accountKey":"cdg-marketplace-test","ipgType":"ADYEN","refusalReason":null},"adyenResponse":{"additionalData":[null],"fraudResult":[null],"pspReference":"853624337929833H","resultCode":"Authorised","amount":[null],"merchantReference":"0f9145d9-39e7-44a8-9eb0-749f98eaba23"}}}}}}}}},"/eunoiaorderevent":{"post":{"tags":["Zig V1"],"summary":"Sets Eunoia's Order Event Completed","description":"When Eunoia event is received via a webhook, the corresponding cartID will get POST event to trigger it's completed status","requestBody":{"content":{"application/json":{"schema":{"type":"object","example":{"userID":"60371007f137547c0b21e340","finalStatuses":{"success":true,"order":{"id":3622,"number":"00000090","orders":[{"number":"00000061","status":"PLACED","type":"TAKE_AWAY","placeTime":1612154557000,"fulfillmentTime":null,"items":[{"id":29718,"product":292,"quantity":4,"modifiers":[],"total":22.4,"productName":"Chicken Noodles","specialRequest":"","variant":123,"variantName":"Chest","variantPrice":5.6,"variantPluCode":null,"pluCode":null,"imageId":"wq1dupwy5m3c8kddlwkx"}],"payments":[],"discounts":[{"id":1278,"percentage":null,"amount":3.36,"reason":"Promo Code: CNY2021","promotion":97,"voucher":null,"additionalData":null,"level":"BRAND"}],"rewards":[{"type":"EARNED","amount":19,"useTime":1612154557000}],"extraCharges":[{"id":35672,"percentage":7,"amount":1.33,"type":"GST","comment":null,"name":"JKFC","string":"JKFC","tax":true,"inclusive":false}],"total":20.37,"subTotal":22.4,"table":null,"store":108,"storeName":"JKFC Golden Agri","tableNumber":null,"tablePlucode":null,"address":null,"specialRequest":"","etaTime":1612156357000,"tableObject":null,"phone":null,"email":null,"recipientName":null,"queueTime":null,"prepareTime":null,"readyTime":null,"completeTime":null,"busy":false,"deliveryData":null,"app":null,"paymentTypes":["OMISE"],"storeAddress":{"line1":"108 Pasir Panjang Road","line2":null,"city":"Singapore","countryCode":"SG","postalCode":"118535","string":"108 Pasir Panjang Road, Singapore 118535"},"brand":{"id":52,"name":"JKFC","apiCode":"jkfc","imageId":"amnjkszxdelhcqu3coby","availabilityTimeIncrement":30,"description":"JKFC, mouth-watering fried chicken that makes you cry at the first bite!","bannerImage":null,"defaultImageId":null,"enableProductImages":true,"favouritesImageId":null,"currency":"SGD","currencySymbol":"$","countryCode":"SG","countryName":"Singapore","countryFone":"65","custom":{},"facebookId":null,"googleWebAppId":null,"enableCredits":false,"enableDelivery":true,"enableLoyalty":false,"enableReservation":true,"minPhoneNumber":null,"maxPhoneNumber":null,"gstRegNumber":null,"lalamoveAccount":null,"enableOnemap":true},"lockers":[]}],"total":20.37,"subTotal":20.37,"customer":{"id":12552,"title":null,"firstName":"eko","lastName":"purnomo","email":"steven@mggsoftware.com","phone":"+6544444444","status":"ACTIVE","brand":null,"addresses":[],"gender":null,"dateOfBirth":null,"photo":null,"registered":1609160170000,"tncAccepted":false},"placeTime":1612154557000,"fulfillmentTime":null,"payments":[{"number":null,"trackingId":null,"transactionId":"chrg_test_5mq7ln72sp4hnrnwpne","amount":20.37,"type":"OMISE","status":"PAID","paidTime":1612154554000,"redeemPoints":0,"remarks":null,"creditCardToken":null,"cardType":null,"accountKey":"omise-dcc-ComfortDelGro","ipgType":"OMISE"}],"pin":"917310","outlet":{"id":21}},"cartId":"7NQN1CuFjWQWe8wTO7Nc"}}}}}},"parameters":[{"name":"endpoint","in":"query","schema":{"type":"string"},"examples":{"Order from JKFC":{"value":"order/jkfc"}}}],"responses":{"201":{"description":"Order Created","headers":{"$ref":"#/components/headers/GenericHeader"},"content":{"application/json":{"schema":{"type":"object"},"example":{"status":{"success":true}}}}},"404":{"description":"Missing userID in request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/BaseError"},{"type":"object","properties":{"message":{"type":"string","example":"Use does not exist"},"code":{"type":"number","example":404}}}]}}}}}}},"/eunoiapromos":{"post":{"tags":["Zig V1"],"summary":"GET Eunoia HQ promotions","responses":{"201":{"description":"Get all Eunoia promotions based on HQ code","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":true},"promotions":{"type":"array","example":[]}}}}}}}}},"/eunoiareservation":{"post":{"tags":["Zig V1 > INCOMPLETE > NO DOCUMENTATION"],"summary":"POST Eunoia Reservations","requestBody":{"content":{"application/json":{"schema":{"type":"object","$ref":"#/components/schemas/EunoiaReservation"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"type":"object"},"example":{"status":{"success":true}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/NotFoundUser"},{"$ref":"#/components/schemas/NotFoundBrand"}]}}}}}}},"/eunoiareservationevent":{"post":{"tags":["Zig V1 > INCOMPLETE > NO DOCUMENTATION"],"parameters":null}},"/features":{"get":{"tags":["Zig V1 Upcoming Additions"],"summary":"Get all featured banners","parameters":[{"name":"type","in":"query","schema":{"type":"string"},"example":"showcase, picks"}]}},"/features/{featureId}":{"get":{"tags":["Zig V1 Upcoming Additions"],"responses":{"200":{"description":"Get banner","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Feature"}}}}}}},"/recommendations":{"get":{"tags":["Zig V1"],"summary":"Gets all recommendations","parameters":[{"name":"type","in":"query","schema":{"type":"string"},"example":"eatdrink, discover","required":true},{"name":"userid","in":"query","schema":{"type":"string"},"example":"6008d43adb2edd35cf6784e0","required":true},{"name":"lat","in":"query","schema":{"type":"number"},"example":16.8351402},{"name":"lng","in":"query","schema":{"type":"number"},"example":96.1291528}],"responses":{"200":{"description":"Returns result with array of --","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"array","items":{"$ref":"#/components/schemas/Recommendation"}}}}}}},"400":{"$ref":"#/components/responses/BadRequest"}}}},"/categories":{"get":{"tags":["Zig V1"],"summary":"Get filters from marketplace","parameters":[{"name":"source","description":"Source of deals","schema":{"type":"string"},"example":"eunoia, chope, klook"},{"$ref":"#/components/parameters/skipParam"},{"$ref":"#/components/parameters/limitParam"}],"responses":{"200":{"description":"Get Categories","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Category"}}}}}}}},"/categories-sub":{"get":{"tags":["Zig V1"],"summary":"Get sub filter from marketplace (this is from Klook)","responses":{"200":{"description":"Get sub categories","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CategorySub"}}}}}}}}},"components":{"schemas":{"CreatedUpdated":{"type":"object","properties":{"createdAt":{"type":"date","example":"2021-02-19T06:17:02.391Z"},"updatedAt":{"type":"date","example":"2021-02-19T06:17:02.391Z"}}},"MembersonCreation":{"type":"object","properties":{"customerNumber":{"type":"string","description":"Customer phone number","example":416},"token":{"type":"string","example":"7438341f-3b04-47ab-81be-83fdf4d7fe84"},"tokenExpiryDate":{"type":"date","example":"2021-05-19T03:29:48.000Z"},"MemberNo":{"type":"string","example":"ZR000000652SG"}}},"EunoiaCreation":{"type":"object","properties":{"authToken":{"type":"string","example":"nsNd32ZXg3w20JPlVd8gy6Epje3Ihokn"},"customerId":{"type":"string","example":16148}}},"GeneralError":{"type":"object","properties":{"name":{"type":"string","description":"Name of the error type"},"message":{"type":"string","description":"Description of the error"},"code":{"type":"integer","description":"HTTP status code"},"className":{"type":"string"},"errors":{"type":"object"}}},"BaseError":{"type":"object","properties":{"name":{"type":"string","description":"Name of the error type","example":"Not Found"},"className":{"type":"string","example":"not-found"},"errors":{"type":"object"}}},"NotFound":{"allOf":[{"$ref":"#/components/schemas/BaseError"},{"type":"object","properties":{"message":{"type":"string","description":"Description of the error","example":"No record found for id '6105581c5f871c000b6df204'"},"code":{"type":"number","description":"Error code","example":404}}}]},"NotFoundUser":{"allOf":[{"$ref":"#/components/schemas/BaseError"},{"type":"object","properties":{"message":{"type":"string","description":"Error message","example":"User or Card does not exist"},"code":{"type":"number","description":"Error code","example":404}}}]},"NotFoundBrand":{"allOf":[{"$ref":"#/components/schemas/BaseError"},{"type":"object","properties":null,"message":{"type":"string","description":"Error message","example":"Brand not found"}}]},"Config":{"type":"object","properties":{"version":{"type":"string","default":"v1"},"minVersion":{"type":"string","default":"1.99.8"},"maintenance":{"type":"boolean","default":false}}},"ServicesHealthCheck":{"type":"object","properties":{"adyen":{"type":"string","default":"pass"},"moovit":{"type":"string","default":"pass"},"eunoia":{"type":"string","default":"pass"},"uniqgift":{"type":"string","default":"pass"},"taxi":{"type":"string","default":"pass"},"memberson":{"type":"string","default":"pass"}}},"Eunoia":{"type":"object"},"Marketplace":{"type":"object","properties":{"source":{"type":"string","required":true},"name":{"type":"string","required":true,"unique":true},"description":{"type":"string"},"imageURL":{"type":"string"},"type":{"type":"object","$ref":"#/components/schemas/Category"},"typeSub":{"type":"object","$ref":"#/components/schemas/CategorySub"},"available":{"type":"string"},"rating":{"type":"number"},"address":{"type":"string"},"city":{"type":"object","$ref":"#/components/schemas/City"},"country":{"type":"object","$ref":"#/components/schemas/Country"},"cuisine":{"type":"array","items":{"$ref":"#/components/schemas/Category"}},"occassion":{"type":"string"},"atmosphere":{"type":"string"},"opening":{"type":"string"},"lat":{"type":"number"},"long":{"type":"number"},"location":{"type":"object","properties":{"type":{"type":"string"},"coordinates":{"type":"array","items":{"type":"string"}}}},"priceRetail":{"type":"number"},"priceSelling":{"type":"number"},"discount":{"type":"number"},"url":{"type":"string"},"deeplinkURL":{"type":"object","properties":{"ios":{"type":"string"},"android":{"type":"string"}}},"costIndicator":{"type":"string"},"reservationURL":{"type":"string"},"deals":{"type":"array"},"status":{"type":"number","default":1,"unique":true},"detail":{"type":"object"},"outlet":{"type":"object"},"isSRV":{"type":"string"}}},"Category":{"type":"object","properties":{"_id":{"type":"string","example":"5f8eb23556c5765031646ea4"},"category":{"type":"string","example":"Cafe"},"pref":{"type":"boolean","example":true},"source":{"type":"string","example":"fnb"},"status":{"type":"integer","example":1},"count":{"type":"integer","example":54}}},"CategorySub":{"type":"object","properties":{"_id":{"type":"string","example":"602f57de25d328418a5ef929"},"pref":{"type":"boolean","example":false},"status":{"type":"integer","example":1},"category":{"type":"string","example":"5f9f8445de2fbc0c4b0b3702"},"sub":{"type":"string","example":"Fun With Kids"},"createdAt":{"type":"date","example":"2021-02-19T06:17:02.391Z"},"updatedAt":{"type":"date","example":"2021-02-19T06:17:02.391Z"},"count":{"type":"integer","example":3}}},"Favourite":{"allOf":[{"$ref":"#/components/schemas/CreatedUpdated"},{"type":"object","properties":{"_id":{"type":"string","example":"60abedee14aae01b37d37113"},"userID":{"type":"string","example":"607d0312180a6434e029e967"},"long":{"type":"number","example":103.8468},"lat":{"type":"number","example":1.2885},"address":{"type":"string","example":"Clark Quay"},"type":{"type":"string","example":"Home"},"icon":{"type":"string","example":"home"}}}]},"FavouriteCreation":{"type":"object","properties":{"userID":{"type":"string","example":"60e2d8d4c7ff226244f90835"},"long":{"type":"number","example":103.8468},"lat":{"type":"number","example":1.2885},"name":{"type":"string","example":"Clark Quay"},"address":{"type":"string","example":"Clark Quay"},"type":{"type":"string","example":"Home"},"icon":{"type":"string","example":"Home"},"metaData":{"type":"object"}}},"Country":{"type":"object","properties":{"country":{"type":"string"}}},"City":{"type":"object","properties":{"country":{"$ref":"#/components/schemas/Country"},"city":{"type":"string","example":"Bangkok"}}},"Feature":{"type":"object","properties":["title","promoCode","link"]},"EunoiaReservation":{"type":"object","properties":{"userID":{"type":"string","example":"5fbe5344c1821928616e1319"},"brand":{"type":"string","example":"tupejkfc"},"store":{"type":"number","example":108},"authToken":{"type":"string","example":"FBmGmUhwKG5EU8BTjcpk3FphfSGytuc1"},"specialRequest":{"type":"string","example":"I will be arriving late"},"occasion":{"type":"string","example":"Birthday"},"fromTime":{"type":"number","example":3600000},"pax":{"type":"number","example":5},"test":{"type":"boolean","example":true}}},"EunoiaOrderEvent":{"type":"object","properties":{"type":{"type":"string","default":"DELIVERY"},"items":{"type":"array","items":{"type":"object","properties":{"product":{"type":"number"},"quantity":{"type":"number"},"modifiers":{"type":"Array"},"total":{"type":"number"},"specialRequest":{"type":"string"}}}},"store":{"type":"number","default":108},"table":{"type":"string"},"specialRequest":{"type":"string","default":"please add more spicy"},"origin":{"type":"string"},"authToken":{"type":"string","default":"Q3zVscyvE7y9Gtirf3KFmbkVIcZxXTaa"},"address":{"postalCode":"575881"},"phone":"+6285655579255","app":{"type":"string","default":"zig app"},"headquarter":{"type":"string","default":"comfortdelgro"},"draft":{"type":"boolean","default":true}}},"EunoiaPayment":{"type":"object","properties":{"userID":{"type":"string","default":"60371007f137547c0b21e340"},"amountToPay":{"type":"number","default":6.31},"cartID":{"type":"string","default":"aLH9seCk1KjbFp0SjFV1"},"cardID":{"type":"string","default":"6041ff18d76f3e5067b891b3"},"termURL":{"type":"string","default":"https://taxi.uat.zig.live:5000/eunoiapayment3ds"}}},"MarketplaceSearch":{"type":"object","properties":{"type":{"type":"string","example":"FOOD, DEAL"},"lat":{"type":"number","example":50.401932},"lng":{"type":"number","example":-104.609253},"text":{"type":"string","example":"Lucky Cat"},"categoryid":{"type":"string","example":"chinese"}}},"User":{"allOf":[{"$ref":"#/components/schemas/CreatedUpdated"},{"type":"object","properties":{"eunoia":{"type":"object","$ref":"#/components/schemas/EunoiaCreation"},"memberson":{"type":"object","$ref":"#/components/schemas/MembersonCreation"},"firstName":{"type":"string"},"receiptRidesEmail":{"type":"boolean"},"merchantEmails":{"type":"boolean"},"permissions":{"type":"string"},"_id":{"type":"string"},"email":{"type":"string"},"deviceID":{"type":"string"},"countryCode":{"type":"string"}}}]},"UserCreation":{"type":"object","properties":{"email":{"type":"string","example":"hey@frenco.dev"},"mobile":{"type":"string","example":777167476},"countryCode":{"type":"string","example":95},"salutation":{"type":"string","example":"Mr"},"paxName":{"type":"string","example":"Frenco"}}},"Recommendation":{"type":"object","properties":{"title":{"type":"string","example":"Zig Fiesta"},"priority":{"type":"string","example":1},"ids":{"type":"array","items":{"$ref":"#/components/schemas/RecommendationId"}}}},"RecommendationId":{"type":"object","properties":{"name":{"type":"string","example":"Combat Durian"},"discount":{"type":"string","example":0},"oid__id":{"type":"string","example":"60d446f457b4a56f2ee1048f"},"imageURL":{"type":"string","example":"https://res.cloudinary.com/savantdegrees/image/upload/w_800/erajhqriojgvbaprz2r5"}}}},"parameters":{"limitParam":{"in":"query","name":"$limit","required":false,"schema":{"type":"integer","minimum":1,"maximum":200,"default":10},"description":"The number of items to return"},"skipParam":{"in":"query","name":"$skip","required":false,"schema":{"type":"integer","minimum":1,"maximum":200,"default":10},"description":"The number of items to skip"}},"responses":{"Unauthenticated":{"description":"Illegal input for operation."},"PaymentRequired":{"description":"No Payment."},"Forbidden":{"description":"Request Forbidden."},"NotFound":{"description":"Nothing matches the given URI."},"MethodNotAllowed":{"description":"Specific method is invalid for this server."},"NotAcceptable":{"description":"URI not available in preferred format."},"ProxyAuthFail":{"description":"Proxy Authentication Required."},"RequestTimeOut":{"description":"Request timeout."},"Conflict":{"description":"Request conflict."},"Gone":{"description":"URI no longer exists and has been permanently removed."},"LengthRequired":{"description":"Content must specify Content-Length."},"PreconditionFailed":{"description":"Precondition Failed."},"PayloadTooLarge":{"description":"Request Entity Too Large."},"URITooLong":null,"UnsupportedMediaType":null,"RangeNotSatisfiable":null,"ExpectationFailed":null,"Unprocessable":null,"TooManyRequests":null,"InternalServerError":null,"NotImplemented":null,"BadGateway":null,"ServiceUnavailable":null,"GatewayTimeout":null,"HTTPzigApiVersionNotSupported":null,"GeneralError":{"description":"General Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneralError"}}}},"BadRequest":{"description":"Bad Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/BaseError"},{"type":"object","properties":{"message":{"type":"string","example":"Reason as to why this request was denied"},"code":{"type":"number","example":400}}}]}}}}},"headers":{"GenericHeader":{"Date":{"schema":{"type":"string","example":"Mon, 01 Feb 2021 07:18:41 GMT"}},"Content-Type":{"schema":{"type":"string","example":"application/json; charset=utf-8"}},"Content-Length":{"schema":{"type":"integer","example":"27"}},"Connection":{"schema":{"type":"string","example":"keep-alive"}},"X-Powered-By":{"schema":{"type":"string","example":"Express"}},"access-control-allow-origin":{"schema":{"type":"string","example":"*"}},"userID":{"schema":{"type":"string","example":"60175dd7a1fad45f5c652abc"}},"x-dns-prefetch-control":{"schema":{"type":"string","example":"off"}},"x-frame-options":{"schema":{"type":"string","example":"SAMEORIGIN"}},"strict-transport-security":{"schema":{"type":"string","example":"max-age=15552000; includeSubDomains"}},"x-download-options":{"schema":{"type":"string","example":"noopen"}},"x-content-type-options":{"schema":{"type":"string","example":"nosniff"}},"x-xss-protection":{"schema":{"type":"string","example":"1; mode=block"}},"allow":{"schema":{"type":"string","example":"POST"}},"vary":{"schema":{"type":"string","example":"Accept, Accept-Encoding"}},"etag":{"schema":{"type":"string","example":"W/\"1b-0nCf54cnwQkBndSx1XMAgmoE5e4\""}}}},"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"taxiAccessTokenKey":{"type":"apiKey","name":"api_key","in":"header"}}}}